Bug 967364 - randomly no graphical login greeter
randomly no graphical login greeter
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
19
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 17:20 EDT by John Reiser
Modified: 2015-02-17 10:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:20:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/gdm/:0.log (42.46 KB, text/plain)
2013-05-26 17:24 EDT, John Reiser
no flags Details
journalctl -ba (113.25 KB, text/plain)
2013-05-26 17:25 EDT, John Reiser
no flags Details
Xorg.0.log (52.43 KB, text/plain)
2013-05-26 17:28 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2013-05-26 17:20:17 EDT
Description of problem: Boot to graphical multi-user mode randomly gets no graphical greeter, thus no graphical login and no graphical desktop.  


Version-Release number of selected component (if applicable):
gdm-3.8.1.1-6.fc19.i686
gdm-libs-3.8.1.1-6.fc19.i686
gnome-shell-3.8.2-3.fc19.i686
dracut-027-46.git20130430.fc19.i686
systemd-204-3.fc19.i686
xorg-x11-server-Xorg-1.14.1-2.fc19.i686
xorg-x11-drv-nouveau-1.0.7-1.fc19.i686
kernel-PAE-3.9.4-300.fc19.i686


How reproducible: 3 of 13 times


Steps to Reproduce:
1. reboot using VGA text console (remove "rhgb quiet" from kernel boot command line)
2.
3.

Actual results: no graphical greeter.  Last line of VGA text console is "[ OK ] Reached target Graphical Interface."


Expected results: graphical greeter collects login and password, then invokes desktop


Additional info:
05:00.0 VGA compatible controller [0300]: NVIDIA Corporation GT218 [GeForce 8400 GS Rev. 3] [10de:10c3] (rev a2)

processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 47
model name      : AMD Athlon(tm) 64 Processor 3200+
stepping        : 2
cpu MHz         : 1000.000
cache size      : 512 KB
fdiv_bug        : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt lm 3dnowext 3dnow pni lahf_lm
bogomips        : 2010.31
clflush size    : 64
cache_alignment : 64
address sizes   : 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc
Comment 1 John Reiser 2013-05-26 17:24:13 EDT
Created attachment 753387 [details]
/var/log/gdm/:0.log

"Enable=true" was set in [debug] of /etc/gdm/custom.conf.
Comment 2 John Reiser 2013-05-26 17:25:05 EDT
Created attachment 753388 [details]
journalctl -ba

syslog since boot, via "journalctl -ba".
Comment 3 John Reiser 2013-05-26 17:28:15 EDT
Created attachment 753389 [details]
Xorg.0.log

Note the last few lines:
[    80.702] (II) NOUVEAU(0): Modeline "1280x960"x75.0  129.86  1280 1368 1504 1728  960 961 964 1002 -hsync +vsync (75.2 kHz e)
[    99.659] (II) evdev: Logitech USB-PS/2 Trackball: Close
[    99.659] (II) UnloadModule: "evdev"
[    99.664] (II) evdev: Macally Peripherals  Macally iKeySlim: Close
[    99.664] (II) UnloadModule: "evdev"
[    99.664] (II) evdev: Macally Peripherals  Macally iKeySlim: Close
[    99.664] (II) UnloadModule: "evdev"
[    99.664] (II) evdev: Power Button: Close
[    99.664] (II) UnloadModule: "evdev"
[    99.664] (II) evdev: Power Button: Close
[    99.664] (II) UnloadModule: "evdev"
[    99.682] (II) NOUVEAU(0): NVLeaveVT is called.
[    99.696] (II) NOUVEAU(0): Closed GPU channel 0
[    99.755] Server terminated successfully (0). Closing log file.

I did not touch the keyboard at all (nor the mouse) at any time after boot.  (Diagnostics were gathered via ssh from another machine.)
Comment 4 Joachim Backes 2013-10-01 02:30:59 EDT
(In reply to John Reiser from comment #0)
> Description of problem: Boot to graphical multi-user mode randomly gets no
> graphical greeter, thus no graphical login and no graphical desktop.  
> 
> 

Having the same problems with AMD graphics:

VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Cedar [Radeon HD 5000/6000/7350/8350 Series].

The described effect happens mostly after having shut down and switched off my box, but only in a few cases after rebooting my system.

My experience: Omitting the "rhgb" option from the grub boot line is a (good?) workaround. Can this be a plymouth problem?
Comment 5 Joachim Backes 2013-10-04 00:19:33 EDT
Similar report in BZ #983796
Comment 6 Joachim Backes 2014-09-10 03:50:41 EDT
Not reproducable in F20
Comment 7 Fedora End Of Life 2015-01-09 13:13:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 10:20:51 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.